Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Interface GroovyPageScriptSource

    public interface GroovyPageScriptSource
    extends org.springframework.scripting.ScriptSource

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`java.lang.String` | `getURI()` @return The URI of the Groovy page
`boolean` | `isPublic()` Whether the GSP is publicly accessible directly, or only usable using internal rendering

Methods inherited from interface org.springframework.scripting.ScriptSource
org.springframework.scripting.ScriptSource#isModified(), org.springframework.scripting.ScriptSource#getScriptAsString(), org.springframework.scripting.ScriptSource#suggestedClassName()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getURI

    public java.lang.String getURI()

  Returns:
    The URI of the Groovy page

### isPublic

    public boolean isPublic()

  Whether the GSP is publicly accessible directly, or only usable using internal rendering
  Returns:
    true if it can be rendered publicly

Groovy Documentation